libsigc++ 2.0: sigc::lambda_operator_unary< T_action, T_type >::deduce_result_type< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > Struct Template Reference

Main Page Groups Namespaces

# sigc::lambda_operator_unary< T_action, T_type >::deduce_result_type< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > Struct Template Reference

List of all members.

## Public Types
typedef arg_type::template deduce_result_type < typename type_trait<T_arg1> ::pass, typename type_trait<T_arg2> ::pass, typename type_trait<T_arg3> ::pass, typename type_trait<T_arg4> ::pass, typename type_trait<T_arg5> ::pass, typename type_trait<T_arg6> ::pass, typename type_trait<T_arg7> ::pass >::type | operand_type
typedef lambda_action_unary_deduce_result_type < T_action, operand_type > ::type | type

### template <class T_action, class T_type>
template <class T_arg1 = void, class T_arg2 = void, class T_arg3 = void, class T_arg4 = void, class T_arg5 = void, class T_arg6 = void, class T_arg7 = void>
struct sigc::lambda_operator_unary< T_action, T_type >::deduce_result_type< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 >

## Member Typedef Documentation

template <class T_action, class T_type>
template <class T_arg1 = void, class T_arg2 = void, class T_arg3 = void, class T_arg4 = void, class T_arg5 = void, class T_arg6 = void, class T_arg7 = void>

typedef arg_type::template deduce_result_type<typename type_trait<T_arg1>::pass,typename type_trait<T_arg2>::pass,typename type_trait<T_arg3>::pass,typename type_trait<T_arg4>::pass,typename type_trait<T_arg5>::pass,typename type_trait<T_arg6>::pass,typename type_trait<T_arg7>::pass>::type sigc::lambda_operator_unary<T_action, T_type>::deduce_result_type<T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7>::operand_type

template <class T_action, class T_type>
template <class T_arg1 = void, class T_arg2 = void, class T_arg3 = void, class T_arg4 = void, class T_arg5 = void, class T_arg6 = void, class T_arg7 = void>

typedef lambda_action_unary_deduce_result_type<T_action, operand_type>::type sigc::lambda_operator_unary<T_action, T_type>::deduce_result_type<T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7>::type

The documentation for this struct was generated from the following file:

- operator.h